Description: Sous OS X, l'installation de auto-multiple-choice a partir des sources nécessite I'utilisation de I'outil dblatex

pour générer les documentations.

Cet outil dépend lui-méme de texlive. Du coup, avec MacPorts, actuellement, il n'est pas possible de faire
l'installation d'AMC sans automatiquement avoir l'installation de texlive par Macports.

Ce qui pose des problémes a ceux qui ont déja une installation texlive non gérée avec MacPorts.

Comment lancer l'installation d'AMC sans sa documentation ?

History

06/15/2015 04:05 pm - Alexis Bienveniie

Une petite remarque en passant : il faut avoir LaTeX installé pour construire AMC. En effet, la génération du fichier @.sty@ a partir du @.dtx@ se fait
avec LaTeX.

Je vois plusieurs pistes pour votre probleme :

* définir une option @-latex@ pour @dblatex@ (pas forcément facile)

* faire croire a @make@ que la doc est déja générée avant de I'appeler, avec par exemple @touch doc/auto-multiple-choice.{en,fr,ja}.pdf@

* modifier les @Makefile@ d'AMC pour définir une nouvelle option, qui permettra de tout fabriquer _sauf_ la doc PDF grace a @make
NO_DOC_PDF=1@ au lieu de @make@

Je peux vous aider sur la troisiéme si vous le voulez.
06/16/2015 02:41 pm - Joél Brogniart
Je serais intéressé par la 3éme solution. Mais avant que vous vous y mettiez, il faut que je trouve un moment et une machine libre pour faire une

installation de Texlive en dehors de MacPorts et voir s'il est possible de faire en sorte que MacPorts utilise ce TexLive lors d'une installation d'’AMC
sans LaTex.

04/13/2017 02:41 pm - Alexis Bienveniie

- Tracker changed from Bug to Feature
